Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class AddAttributesValuesImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.AddAttributesValuesImpl

All Implemented Interfaces:
  AddAttributesValues

    public class AddAttributesValuesImpl

extends java.lang.Object
implements AddAttributesValues

This class is used to add new attributes to an existing directory entry.

Version:
  $Revision: 1.7 $
Author:
  , Asha Balasubramanyan

Constructor Summary
`` | `AddAttributesValuesImpl()`
`protected` | `AddAttributesValuesImpl(LDAPClientApplicationImpl app)` Creates a new instance of AddAttributesValues

Method Summary
`EntryOptions` | `getEntryOptions()` Method to retrieve the options set for the stcEntry
`STCEntry` | `getSTCEntry()` Method to retrieve the stcEntry to which the attribute is to be added
`boolean` | `performAddAttributesValues()` Method that performs the addition of the new attribute to the stcEntry
`void` | `reset()` Method to reset the values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddAttributesValuesImpl

    public AddAttributesValuesImpl()

### AddAttributesValuesImpl

    protected AddAttributesValuesImpl(LDAPClientApplicationImpl app)

  Creates a new instance of AddAttributesValues

  Parameters:
    `app` - The LDAP client application associated with this AddAttributesValues instance.

Method Detail

### getSTCEntry

    public STCEntry getSTCEntry()
                         throws LDAPApplicationException

  Method to retrieve the stcEntry to which the attribute is to be added

  Specified by:
    `getSTCEntry` in interface `AddAttributesValues`
  Returns:
    the STCEntry object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getEntryOptions

    public EntryOptions getEntryOptions()
                                 throws LDAPApplicationException

  Method to retrieve the options set for the stcEntry

  Specified by:
    `getEntryOptions` in interface `AddAttributesValues`
  Returns:
    the EntryOptions object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performAddAttributesValues

    public boolean performAddAttributesValues()
                                       throws LDAPApplicationException

  Method that performs the addition of the new attribute to the stcEntry

  Specified by:
    `performAddAttributesValues` in interface `AddAttributesValues`
  Returns:
    true if the attribute was added successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `AddAttributesValues`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD